API explorerConnectors
Rotate a connector callback HMAC secret; the new secret is returned once
POST /api/agent/connectors/{id}/rotate-secret. Required scopes: connectors:write.
Loading API reference…
Required scopes: connectors:write
bearer connectors:writeAuthorizationBearer <token>A Notify agent token from notify auth login or the dashboard.
Scope: connectors:write
id*stringSuccess
application/jsonconnector*callbackSecret?stringHMAC secret for verifying callback signatures. Returned once on create.
reused?booleancurl -X POST 'https://example.com/api/agent/connectors/string/rotate-secret'{ "connector": { "id": "string", "enabled": true, "name": "string", "tunnelId": "string", "hostname": "string", "routes": [ { "name": "string", "target": "string", "url": "string", "appId": "string", "enabled": true } ], "status": "online", "lastSeenAt": "2019-08-24T14:15:22Z", "teamId": "string", "oncallGroupId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "callbackSecret": "string", "reused": true}